﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Workflow User Interface</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Workflow User Interface</h1>
        <p>There is a common structure of workflow that is typically used to design and display the process flow.&#160;The following workflow diagram is an example to help you understand how requests would be processed in real scenarios.</p>
        <h3 id="WorkflowUserInterface-EnterpriseWorkflow">Enterprise Workflow</h3>
        <p>
            <br />
            <img src="../Resources/Images/enterprise workflow 1.jpg" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <h3 id="WorkflowUserInterface-GUIWorkflow">GUI Workflow</h3>
        <p>The following is the IGA workflow user interface which is used to create and manage workflows through drag and drop workflow components:</p>
        <p>
            <img src="../Resources/Images/GUI workflow.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>The&#160;example represents a conditional workflow that includes the&#160;following levels.</p>
        <ul>
            <li>
                <p>Manager’s Approval (First Level approval):&#160;The first level is the manager’s approval. If the manager approves the request then it checks for conditional approvals, if any. If the application needs two or more levels of approval, the request is routed through the workflow process accordingly. If no approvals, then requests are routed to grant access and exit the process.</p>
            </li>
        </ul>
        <ul>
            <li>
                <p>You can perform a conditional check at any level of approvals. For example, if your application needs to be updated in some other connected system like EAS, you can put a check to execute certain java code at any stage of the workflow process.</p>
            </li>
        </ul>
        <ul>
            <li>
                <p>Pseudo Second Level Approval (Conditional Approval after Level 1):After the first level of approval, you can add conditional approvals. The first check is done for the role value-based approval, the second check is for user property based approval. If any of the condition is true, then approvals are processed before navigating the request to the second level. </p>
            </li>
            <li>
                <p>Resource Owner Approval (Second Level Approval):Resource Owners or Resource Admins must determine if it is required to grant access to the end-user. If the condition is true, the request is routed to the other conditional checks such as role based approval. Another check is for the application if it requires more than two levels of approvals. If none of the conditions is false, the request is routed to grant access. If Resource Owners reject the access, then requests are routed to Reject Access block. </p>
            </li>
            <li>
                <p>Pseudo Third Level Approval: This is similar to the pseudo second level approval step. This step is implemented after the Resource Owner Approval&#160;step. </p>
            </li>
            <li>
                <p>Third Level Approval: You must use a custom assignment handler box to leverage this feature. You can pass on the user name or user group name in custom assignment handler, whom you plan to select as an approver for this particular step in the workflow. Other functionalities are similar to the second level approval step. All other following approval steps are same as third level approval step. You must use the custom assignment handler for following approval levels</p>
            </li>
        </ul>
        <h3 id="WorkflowUserInterface-XMLWorkflow">XML Workflow</h3>
        <p>The following is the IGA XML workflow that is used to create and manage workflows through XML code:</p>
        <p>
            <img src="../Resources/Images/xml workflow.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 820px;height: 444px;" />
        </p>
        <p>&#160;</p>
    </body>
</html>